<%@ Assembly Name="Microsoft.SharePoint"%>
<%@ Application Language="C#" Inherits="Microsoft.SharePoint.ApplicationRuntime.SPHttpApplication" %>

<script  RunAt='server'>
public void FormsAuthentication_OnAuthenticate(object sender, FormsAuthenticationEventArgs args)
{
        //Extract the forms authentication cookie
        string cookieName = FormsAuthentication.FormsCookieName;
        HttpCookie authCookie = Context.Request.Cookies[cookieName];
        if (null == authCookie)
        {
            // There is no authentication cookie. Check to see if Guest Account feature is activated 
            // If Feature is Activated, ValidateUser would return Guest Account Context 
            if (Membership.ValidateUser("Guest", ""))
                {
                    FormsAuthentication.SetAuthCookie("Guest", true);
                }
        }        
}
</script> 